#include "plugin.h"

#include <iostream>
#include <string>
#include <map>

extern "C" {

class SimplePlugin : public CppPlugin {
public:
    virtual void onLoad(JNIEnv*);
    virtual void onEnable(JNIEnv*);
    virtual void onDisable(JNIEnv*);
    //virtual std::map<std::string, eventfptr> getEvents();
};

void SimplePlugin::onLoad(JNIEnv*) {
	std::cout << "SimplePLugin::onLoad();" << std::endl;
}

void SimplePlugin::onEnable(JNIEnv*) {
	std::cout << "SimplePLugin::onEnable();" << std::endl;
}

void SimplePlugin::onDisable(JNIEnv*) {
	std::cout << "SimplePLugin::onDisable();" << std::endl;
}

CppPlugin* init() {
    return new SimplePlugin();
}

}//extern "C"